sn0wbreeze Updated! iPod Touch 2g/3g Support

iH8sn0w has just released sn0wbreeze v1.7 for iOS 4.0. Supported models are the new bootrom iPod Touch 2g and 3g running 3.1.2. (Or higher if you still have your 3.1.2 blobs.) 8gb MC models do not require SHSH blobs.

Via Twitter:

sn0wbreeze V1.7 is live. // Enables iPod 3 support as long as they are on 3.1.2 or have 3.1.2 blobs.

Please note that iBooty and Payload Pwner are needed to jailbreak some models, and are in the process of being updated.

Happy jailbreaking!

[iH8sn0w] and [Tutorials]

Post a response / What do you think?